Admins: Update Privileges
PUT /apps/{app_id}/admins/{id}/update_privilegesPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
id |
string | No | id of the pulsate admin |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
allowed_actions |
string | No | should always contain “all” as allowed actions |
email |
string | No | Email of the admin |
managed_app_id |
string | No | Managed app id is required only for app admin |
role |
string | No | Allowed roles are: app_admin, account_admin, master_admin |
Request Example
Section titled “Request Example”curl --request PUT \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/admins/{id}/update_privileges \ --header 'Authorization: Token token={my_admin_api_token}' \ --header 'Content-Type: application/json' \ --data '{ "allowed_actions": "all", "email": "admin@pulsatehq.com", "managed_app_id": "{managed_app_id}", "role": "app_admin"}'Responses
Section titled “Responses”200
{ "message": "Admin was successfully updated", "admin": { "id": "6787826e8785f85f09ea3fa7", "access": "", "actions": { "edit": true, "delete": true }, "avatar_url": "https://pulsate-media-bucket-production.s3.eu-west-1.amazonaws.com/default-user-avatar.png", "email": "t@t.com", "job_title": null, "managed_app": { "name": null, "id": "" }, "name": null, "role": "account_admin", "username": null, "updated_at": "2025-03-24T22:03:24Z", "created_at": "2025-01-15T09:39:58Z" }}
